org.gnome.pango

## Class StyleAttribute

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Attribute
      - - org.gnome.pango.StyleAttribute

-     public final class StyleAttribute
      extends Attribute

  An Attribute that modifies the style of the text it is applied to. See `Style`.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleAttribute(Style style)` Create a StyleAttribute.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.pango.Attribute

      `setIndices`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleAttribute

          public StyleAttribute(Style style)

      Create a StyleAttribute. `ITALIC` is usually the Style people want since `NORMAL` is the default.

      This is equivalent to using FontDescription's `setStyle()` when requesting fonts and TextTag's `setStyle()` when formatting text in a TextBuffer.

      The StyleAttribute is actually the mechanism that underlies both properties.

      Since:
        4.0.10